### Function

# EDataServer util_utf8_decompose

since: 3.26

#### Declaration [src]

    gchar*
    e_util_utf8_decompose (
      const gchar* text
    )

#### Description [src]

Converts the `text` into a decomposed variant and strips it, which allows also cheap case insensitive comparision afterwards. This produces an output as being used in e_util_utf8_strstrcasedecomp().

Available since: 3.26

#### Parameters

`text`

  Type: `const gchar*`

  A UTF-8 string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A newly allocated string, a decomposed variant of the `text`. Free with g_free(), when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.